Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452035 - switching fullscreen off in totem ends up on login screen
Summary: switching fullscreen off in totem ends up on login screen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 20:47 UTC by Stefan Jensen
Modified: 2018-04-11 18:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:50:13 UTC


Attachments (Terms of Use)
XServer conf file (deleted)
2008-06-24 02:08 UTC, Stefan Jensen
no flags Details
Xorg.0.log (deleted)
2008-06-24 02:10 UTC, Stefan Jensen
no flags Details

Description Stefan Jensen 2008-06-18 20:47:01 UTC
Description of problem:

When i watch a movie with totem and double click on the movie, to see it in
fullscreen the movie is displayed correctly in fullscreen. After that, i double
click again, to switch to normal view, i end up on the login screen gdm.

Version-Release number of selected component (if applicable):

compiz-gnome-0.6.2-3.fc8
compizconfig-backend-gconf-0.6.0-2.fc8
compiz-0.6.2-3.fc8
compiz-fusion-extras-gnome-0.6.0-1.fc8
compiz-fusion-0.6.0-12.fc8
compiz-bcop-0.6.0-1.fc8
compiz-fusion-devel-0.6.0-12.fc8
compiz-fusion-extras-0.6.0-1.fc8
compiz-fusion-gnome-0.6.0-12.fc8
compiz-devel-0.6.2-3.fc8
libcompizconfig-0.6.0-3.fc8

How reproducible:

Always

Steps to Reproduce:
1. enable compiz
2. launch totem and start playing a avi file
3. double click on totem to switch to fullscreen
4. Double click again to switch to normal mode.
  
Actual results:

end up logged out on gdm login screen

Expected results:

Normal Desktop displayed, no log out.

Additional info:

from /var/log/messages

gdm-binary[3137]: WARNING: gdm_slave_xioerror_handler: Schwerwiegender X-Fehler
- :0 wird neu gestartet

from ~/.xsession-errors
compiz (cube) - Warn: Failed to load slide: /usr/share/pixmaps/fedora-logo
compiz (cube) - Warn: Failed to load slide: /usr/share/pixmaps/fedora-logo.png
A handler is already registered for the path starting with path[0] = "org"
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format

Comment 1 Matěj Cepl 2008-06-23 21:51:22 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Stefan Jensen 2008-06-24 02:08:48 UTC
Created attachment 310098 [details]
XServer conf file

This is my actual xorg.conf

Comment 3 Stefan Jensen 2008-06-24 02:10:30 UTC
Created attachment 310099 [details]
Xorg.0.log

This is the Xserver log file.

Comment 4 Stefan Jensen 2008-06-26 05:14:15 UTC
catch another error on a recently crash. This time i simply closed a "nautilus
file window" (sadly not yet reproducible).

from /var/log/Xorg.0.log:

SetGrabKeysState - enabled

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80c2f91]
1: [0x110400]
2: /usr/lib/xorg/modules/drivers//nvidia_drv.so [0x50a660]

Fatal server error:
Caught signal 11.  Server aborting


Comment 5 Bug Zapper 2008-11-26 10:53:45 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-01-09 07:50:13 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.